Index: imaps-frontend/src/scripts/net/HttpService.js
===================================================================
--- imaps-frontend/src/scripts/net/HttpService.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/scripts/net/HttpService.js	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
@@ -3,7 +3,7 @@
 
 class HttpService {
-    constructor(auth = false) {
+    constructor(URL = config.apiBaseUrl, auth = false) {
+      this.baseURL = URL;
       this.auth = auth;
-      this.responseType = 'json';
     }
 
@@ -11,14 +11,4 @@
         this.auth = true;
     }
-    setResponseType(type){
-        if(type === 'text'){
-            this.responseType = 'text';
-        } else if (type === 'json'){
-            this.responseType = 'json'
-        } else {
-            console.error('unsupported response type in http service')
-        }
-    }
-
 
     async request(method, endpoint, data = null) {
@@ -43,5 +33,5 @@
       }
   
-      const response = await fetch(`${endpoint}`, options);
+      const response = await fetch(`${this.baseURL}${endpoint}`, options);
       
       if (!response.ok) {
@@ -64,12 +54,6 @@
 
       console.log("HTTPSERVICE: RESPONSE:",response);
-
-      if(this.responseType === 'json'){
-          return response.json();
-      } else if (this.responseType === 'text'){
-          return response.text()
-      } else{
-          console.error('bad resp type')
-      }
+  
+      return response.json();
     }
   
Index: imaps-frontend/src/scripts/net/netconfig.js
===================================================================
--- imaps-frontend/src/scripts/net/netconfig.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/scripts/net/netconfig.js	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
@@ -1,66 +1,14 @@
-export const API_BASE_URL = "http://localhost:8080/api";
-export const API_PROTECTED = `${API_BASE_URL}/protected`
-export const API_PUBLIC = `${API_BASE_URL}/public`
-export const API_AUTH = `${API_BASE_URL}/auth`
-
 
 const config = {
-    my_maps: {
-        display: `${API_PROTECTED}/my-maps`,
-        save: `${API_PROTECTED}/my-maps/save`,
-        add: `${API_PROTECTED}/my-maps/create`,
-        load: `${API_PROTECTED}/my-maps/load`,
-        delete: `${API_PROTECTED}/my-maps/delete`,
-        publish: `${API_PROTECTED}/publish/add`,
-        publish_get: `${API_PROTECTED}/publish/get`,
-        edit_map_info: `${API_PROTECTED}/my-maps/edit`,
-    },
-    room_types: {
-        display: (auth) => {
-            return auth ? `${API_PROTECTED}/room-types` : `${API_PUBLIC}/room-types`
-        },
-        add: `${API_PROTECTED}/room-types/add`,
+    apiBaseUrl: "http://localhost:8080/api",
 
-    },
-    floors: {
-        add: `${API_PROTECTED}/floors/add`,
-        load: `${API_PROTECTED}/my-maps/load`,
-        delete: `${API_PROTECTED}/floors/delete`,
-    },
-    view_maps: {
-        display: `${API_PUBLIC}/maps`,
-        load: (auth) => {
-            return auth ? `${API_PROTECTED}/load-map` : `${API_PUBLIC}/load-map`
-        },
-        navigate: `${API_PUBLIC}/navigate`,
-        add_favourite: `${API_PROTECTED}/favourites/add`,
-        add_report: `${API_PROTECTED}/reports/create`,
-    },
-    favourites: {
-        display: `${API_PROTECTED}/favourites`,
-        add: `${API_PROTECTED}/favourites/add`,
-        delete: `${API_PROTECTED}/favourites/delete`,
-    },
-    auth:{
-        login: `${API_AUTH}/login`,
-        register: `${API_AUTH}/register`,
-        verify: `${API_AUTH}/verify`,
-        oauth: {
-            github: {
-                state: `${API_BASE_URL}/oauth/state`,
-                redirectUri : `${API_BASE_URL}/oauth/callback`
-            }
-        }
-
-    },
-    admin:{
-        display: `${API_BASE_URL}/admin`,
-        load_pr: `${API_BASE_URL}/admin/load-pr`,
-        approve_pr: `${API_BASE_URL}/admin/pr/approve`,
-        deny_pr: `${API_BASE_URL}/admin/pr/deny`,
-        load_reports: `${API_BASE_URL}/admin/load-reports`
+    endpoints: {
+        login: "/auth/login",
+        register: "/auth/register",
+        verify: "/auth/verify",
+        render: "/protected/render",
+        publicMapData: "/public/mapData"
     }
 };
 
-
 export default config;
